#!/bin/bash

function wait_for_finish() {
    echo "Waiting for install to finish..."
    while sleep 10 ; do
        STATUS="$(virsh dominfo linux | grep State | awk -F' ' '{print $2}')"
        if [[ "x$STATUS" == "xrunning" ]]; then
            date -u
            echo "Still waiting for install to finish..."
        fi
        if [[ "x$STATUS" != "xrunning" ]]; then
            echo "Install done."
            return
        fi
    done
}

function install_os() {
    virsh list
    virt-install --virt-type qemu --name linux \
    --ram 4096 \
    --disk path=image.qcow2 \
    --os-variant ubuntu18.04 \
    --initrd-inject=preseed.cfg \
    --initrd-inject=postinst.sh \
    --graphics none \
    --location 'http://us.archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/' \
    --extra-args 'console=ttyS0,115200n8 serial'
    #virsh list
    #virsh console linux
}

begin_install_os
wait_for_finish

exit 0
